## org.hibernate.secure
Class JACCPreInsertEventListener

    java.lang.Object
      org.hibernate.secure.JACCPreInsertEventListener

All Implemented Interfaces:
  Serializable, Initializable, PreInsertEventListener, JACCSecurityListener

    public class JACCPreInsertEventListener

extends Object
implements PreInsertEventListener, Initializable, JACCSecurityListener

Check security before an insertion

Author:
  Kabir Khan
See Also:
  Serialized Form

Constructor Summary
`JACCPreInsertEventListener()`

Method Summary
`void` `initialize(Configuration cfg)`
`boolean` `onPreInsert(PreInsertEvent event)` Return true if the operation should be vetoed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JACCPreInsertEventListener

    public JACCPreInsertEventListener()

Method Detail

### onPreInsert

    public boolean onPreInsert(PreInsertEvent event)

  Description copied from interface: `PreInsertEventListener`
  Return true if the operation should be vetoed

  Specified by:
    `onPreInsert` in interface `PreInsertEventListener`

### initialize

    public void initialize(Configuration cfg)

  Specified by:
    `initialize` in interface `Initializable`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.